Subject: [DMM] Genart telechat review of draft-ietf-dmm-mag-multihoming-04

From: Robert Sparks <[email-masked]>
Date: Tue, 25 Jul 2017 14:36:22 -0700

Reviewer: Robert Sparks
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair. Please wait for direction from your
document shepherd or AD before posting a new version of the draft.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-dmm-mag-multihoming-04
Reviewer: Robert Sparks
Review Date: 2017-07-25
IETF LC End Date: 2017-06-16
IESG Telechat date: 2017-08-03

Summary: Ready with nits that should be addressed before publication as Proposed Standard

Thanks for addressing most of the points in my review of -03.

There are still a couple of things that I think need attention:

* In the second bullet of section 3.2 there is a sentence that does not make sense.
   Look at "or at When operating" in this sentence:
    "Packet distribution can be done
      either at the transport level, e.g. using MPTCP or at When
      operating at the IP packet level, different packets distribution
      algorithms are possible."

* I still find the definitions of Interface Label and Binding Identifier confusing.
   I suspect they _both_ need to be carefully rewritten to make sure they are
   definitions of the terms, and not descriptions of the interactions of the two
   fields. Why is the Interface Label definition talking so much about binding?
   As currently written, that last sentence of the Binding Identifier
   definition says  the document says the mobile access gateway assigns
   a single unique binding identifier for each of its interfaces.